Table of Contents

What's New


POST /DOCS/Modules/{module}/Templates/{templateName}/Customisations/{customisationId}/Restore

Restore an existing Template Customisation definition to match the system default template.

GET /DOCS/Modules/Templates/Migrations/{templateName}

Get a collection of Template Migration definitions for the template.

GET /DOCS/Modules/Templates/Migrations/{templateName}/Content

Get a collection of Template Migration definitions with migration content for the template.

What's Changed


GET /DOCS/Modules/{module}/Metadata/Entities/{entity}/DatabaseMappings
Return Type:

Changed response : 200 OK

Success response - body contains Entity Database Metadata definition

  • Changed content type : application/vnd.onkey.entitydatabasemetadata+json

    • Changed property sourceDatabase (object)

      Updated SourceDatabase : Added enum value:

      • FileContentStore
GET /DOCS/Modules/Metadata/Entities/ReportServer
Return Type:

Changed response : 200 OK

Success response - body contains Metadata collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of Metadata entities

      Changed items (object):

      • Added property version (integer)
GET /DOCS/Modules/{module}/Templates/{templateName}/Customisations
Parameters:

Added: $select in query

Comma separated list of the data properties on the resource to return, e.g. $select=id,code,description

Added: $filter in query

Filter expression to apply on the resource to limit the response data returned, e.g. $filter=id gt 0 and code startswith 'ABCD'

Added: $param in query

Comma separated list of key/value pairs to parameterise $filter expressions to limit the response data returned, e.g. $param=@code:'JUMA'

Return Type:

Changed response : 200 OK

Success response - body contains pageable Template Customisation collection

  • Changed content type : application/vnd.onkey.entitycollectionpage+json

    • Changed property items (array)

      Pageable collection of entities

      Changed items (object):

      • Changed property properties (object)

        • Added property template (string)
GET /DOCS/Modules/Metadata/Entities/UserDefinedFields
Return Type:

Changed response : 200 OK

Success response - body contains User Defined Field Metadata collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of User Defined Field Metadata entities

      Changed items (object):

      • Added property version (integer)
GET /DOCS/Modules/Metadata/Entities/{entity}/UserDefinedFields
Return Type:

Changed response : 200 OK

Success response - body contains User Defined Field Metadata collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of User Defined Field Metadata entities

      Changed items (object):

      • Added property version (integer)